# Do Not Interact

This object allows you to block interactions on a borrower; and must be connected with a case. You can
create multiple Do Not Interact instances on a borrower but only one instance on a case. There are two ways
to create Do Not Interacts:

1. Manually - after a case is created, you can manually create Do Not Interact objects on any borrower case.

2. In bulk on a Supercase, on the related subcases. See [Create Do Not Interact instances on all subcases](#tag/Supercases/operation/peach.supercases.handlers.supercase_bulk_create_dni)
for more details.


## Get case do not interacts

 - [GET /people/{personId}/cases/{caseId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_get_all.md): Get the all DoNoInteract instances associated with a case.

## Create do not interact

 - [POST /people/{personId}/cases/{caseId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_create.md)

## Remove do not interact

 - [DELETE /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_delete.md): Update a DoNotInteract instance to have inactive status, and set the end date.

## Get do not interact by ID

 - [GET /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_get_by_id.md): Get a single DoNotInteract object instance for the borrower using a unique ID.

## Update do not interact

 - [PUT /people/{personId}/cases/{caseId}/do-not-interacts/{doNotInteractId}](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.cases.events.handlers.do_not_interact.do_not_interact_update.md): Update a DoNotInteract instance with new information.

## Get all do not interacts

 - [GET /people/{personId}/do-not-interacts](https://docs.peachfinance.com/api-docs/api-public/do-not-interact/peach.people.do_not_interact.handlers.do_not_interact_get_all.md): Get the all DoNoInteract instances associated with a borrower.

